package com.javaseleniumtemplate.pages;

import com.javaseleniumtemplate.bases.PageBase;
import org.openqa.selenium.By;

public class PrevisaodeConsumoRelatorioPage extends PageBase {
    //Mapping
    By menubutton = By.xpath("//*[@class='bars']");
    By campopesquisar = By.xpath("//section[@class='zh-container-search-menu']//input[@type='text']");
    By requisicaodoplanejamentobutton = By.xpath("//span[text()='Requisição do Planejamento da Produção']");

    By lupaparaselecionarrelatoriobutton = By.xpath("//div[@id='REPORT_NAME']//span[@style=\"background-image: none; display: block;\"]");
    By selecionarrelatoriobutton = By.xpath("//div[@zh-long-tap=\"controller.onLongTap(row);\"]//span[text()='Requisição da Matéria Prima (por produto acabado)']");
    By lupaselecionarpp = By.xpath("//*[@id='NRPLANPROD']//span[@class='zh-icon zh-icon-search zh-icon-no-border']");
    By selecionarppbutton = By.xpath("//span[text()='182']");
    By relatoriobutton = By.xpath("//*[@data-zh-id=\"50056053013914516456524\"]");
    By relatorioempdfbutton = By.xpath("//span[text()='pdf']");
    By confirmarbutton = By.xpath("//span[text()='Confirmar']");


    //Actions
    public void AcessarTela() {
        try {
            Thread.sleep(5000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
        click(menubutton);
        sendKeys(campopesquisar, "Requisição do Planejamento da Produção");
        click(requisicaodoplanejamentobutton);
    }

    // Gerar Relatório Requisição do Planejamento da Produção(por produto acabado)
    public void PlanejamentoProducaopdf(){
        click(lupaselecionarpp);
        click(selecionarppbutton);
        click(relatoriobutton);
        click(relatorioempdfbutton);
        click(confirmarbutton);
        try {
            Thread.sleep(9000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }

    // Gerar relatório Requisição da Matéria Prima (por produto acabado)
    public void Relatorio3pdf(){
        click(lupaparaselecionarrelatoriobutton);
        click(lupaparaselecionarrelatoriobutton);
        click(selecionarrelatoriobutton);
        click(lupaselecionarpp);
        click(selecionarppbutton);
        click(relatoriobutton);
        click(relatorioempdfbutton);
        click(confirmarbutton);
        try {
            Thread.sleep(9000);
        } catch (InterruptedException e) {
            e.printStackTrace();
        }
    }
}
